org.apache.synapse.transport.vfs

## Class PollTableEntry

- java.lang.Object
- - org.apache.axis2.transport.base.ProtocolEndpoint
  - - org.apache.axis2.transport.base.AbstractPollTableEntry
    - - org.apache.synapse.transport.vfs.PollTableEntry

-     public class PollTableEntry
      extends org.apache.axis2.transport.base.AbstractPollTableEntry

  Holds information about an entry in the VFS transport poll table used by the VFS Transport Listener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DELETE`
    `static int` | `MOVE`
    `static int` | `NONE`

    - ### Fields inherited from class org.apache.axis2.transport.base.AbstractPollTableEntry

      `FAILED, SUCCSESSFUL, WITH_ERRORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollTableEntry(boolean fileLocking)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActionAfterErrors()`
    `int` | `getActionAfterFailure()`
    `int` | `getActionAfterProcess()`
    `java.lang.Boolean` | `getAutoLockRelease()`
    `java.lang.Long` | `getAutoLockReleaseInterval()`
    `java.lang.Boolean` | `getAutoLockReleaseSameNode()`
    `java.lang.String` | `getContentType()`
    `java.lang.Long` | `getDistributedLockTimeout()`
    `org.apache.axis2.addressing.EndpointReference[]` | `getEndpointReferences(org.apache.axis2.description.AxisService service, java.lang.String ip)`
    `java.lang.String` | `getFailedRecordFileDestination()`
    `java.lang.String` | `getFailedRecordFileName()`
    `java.lang.String` | `getFailedRecordTimestampFormat()`
    `java.lang.String` | `getFileNamePattern()`
    `java.lang.Integer` | `getFileProcessingCount()`
    `java.lang.Integer` | `getFileProcessingInterval()`
    `double` | `getFileSizeLimit()`
    `java.lang.String` | `getFileSortParam()`
    `java.lang.String` | `getFileURI()`
    `int` | `getMaxRetryCount()`
    `java.lang.String` | `getMoveAfterErrors()`
    `java.lang.String` | `getMoveAfterFailure()`
    `java.lang.String` | `getMoveAfterMoveFailure()`
    `java.lang.String` | `getMoveAfterProcess()`
    `java.text.DateFormat` | `getMoveTimestampFormat()`
    `int` | `getNextRetryDuration()`
    `org.apache.axis2.description.ParameterInclude` | `getParams()`
    `long` | `getReconnectTimeout()`
    `java.lang.String` | `getReplyFileURI()`
    `java.lang.String` | `getSubfolderTimestamp()`
    `boolean` | `getUpdateLastModified()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getVfsSchemeProperties()`
    `boolean` | `isCanceled()`
    `boolean` | `isClusterAware()`
    `boolean` | `isDistributedLock()`
    `boolean` | `isFileLockingEnabled()`
    `boolean` | `isFileSortAscending()`
    `boolean` | `isForceCreateFolder()`
    `boolean` | `isResolveHostsDynamically()`
    `boolean` | `isStreaming()`
    `boolean` | `loadConfiguration(org.apache.axis2.description.ParameterInclude params)`
    `void` | `setAutoLockRelease(java.lang.Boolean autoLockRelease)`
    `void` | `setAutoLockReleaseInterval(java.lang.Long autoLockReleaseInterval)`
    `void` | `setAutoLockReleaseSameNode(java.lang.Boolean autoLockReleaseSameNode)`
    `void` | `setCanceled(boolean canceled)`
    `void` | `setClusterAware(boolean clusterAware)`
    `void` | `setFileSortAscending(boolean fileSortAscending)`
    `void` | `setFileSortParam(java.lang.String fileSortParam)`
    `void` | `setForceCreateFolder(boolean forceCreateFolder)`
    `void` | `setSecureVaultProperties(java.util.Properties secureVaultProperties)`
    `void` | `setSubfolderTimestamp(java.lang.String subfolderTimestamp)`
    `void` | `setVfsSchemeProperties(java.util.Map<java.lang.String,java.lang.String> vfsSchemeProperties)`

    - ### Methods inherited from class org.apache.axis2.transport.base.AbstractPollTableEntry

      `getLastPollState, getLastPollTime, getNextPollTime, getPollInterval, isConcurrentPollingAllowed, setConcurrentPollingAllowed, setLastPollState, setLastPollTime, setNextPollTime, setPollInterval`

    - ### Methods inherited from class org.apache.axis2.transport.base.ProtocolEndpoint

      `createMessageContext, getConfigurationContext, getDescription, getListener, getService, getServiceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

    - #### MOVE

          public static final int MOVE

      See Also:
        Constant Field Values

    - #### NONE

          public static final int NONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PollTableEntry

          public PollTableEntry(boolean fileLocking)

  - ### Method Detail

    - #### getEndpointReferences

          public org.apache.axis2.addressing.EndpointReference[] getEndpointReferences(org.apache.axis2.description.AxisService service,
                                                                                       java.lang.String ip)

      Specified by:
        `getEndpointReferences` in class `org.apache.axis2.transport.base.ProtocolEndpoint`

    - #### getFileURI

          public java.lang.String getFileURI()

    - #### getReplyFileURI

          public java.lang.String getReplyFileURI()

    - #### getFileNamePattern

          public java.lang.String getFileNamePattern()

    - #### getContentType

          public java.lang.String getContentType()

    - #### getUpdateLastModified

          public boolean getUpdateLastModified()

    - #### getActionAfterProcess

          public int getActionAfterProcess()

    - #### getActionAfterErrors

          public int getActionAfterErrors()

    - #### getActionAfterFailure

          public int getActionAfterFailure()

    - #### getMoveAfterProcess

          public java.lang.String getMoveAfterProcess()

    - #### getMoveAfterMoveFailure

          public java.lang.String getMoveAfterMoveFailure()

    - #### getNextRetryDuration

          public int getNextRetryDuration()

    - #### getFailedRecordFileName

          public java.lang.String getFailedRecordFileName()

    - #### getFailedRecordFileDestination

          public java.lang.String getFailedRecordFileDestination()

    - #### getFailedRecordTimestampFormat

          public java.lang.String getFailedRecordTimestampFormat()

    - #### getFileProcessingInterval

          public java.lang.Integer getFileProcessingInterval()

    - #### getFileProcessingCount

          public java.lang.Integer getFileProcessingCount()

    - #### getMoveAfterErrors

          public java.lang.String getMoveAfterErrors()

    - #### getMoveAfterFailure

          public java.lang.String getMoveAfterFailure()

    - #### isStreaming

          public boolean isStreaming()

    - #### getMaxRetryCount

          public int getMaxRetryCount()

    - #### isFileLockingEnabled

          public boolean isFileLockingEnabled()

    - #### setSecureVaultProperties

          public void setSecureVaultProperties(java.util.Properties secureVaultProperties)

    - #### getFileSizeLimit

          public double getFileSizeLimit()

    - #### getReconnectTimeout

          public long getReconnectTimeout()

    - #### getMoveTimestampFormat

          public java.text.DateFormat getMoveTimestampFormat()

    - #### getAutoLockRelease

          public java.lang.Boolean getAutoLockRelease()

      Returns:
        the autoLockRelease

    - #### setAutoLockRelease

          public void setAutoLockRelease(java.lang.Boolean autoLockRelease)

      Parameters:
        `autoLockRelease` - the autoLockRelease to set

    - #### getAutoLockReleaseInterval

          public java.lang.Long getAutoLockReleaseInterval()

      Returns:
        the autoLockReleaseInterval

    - #### setAutoLockReleaseInterval

          public void setAutoLockReleaseInterval(java.lang.Long autoLockReleaseInterval)

      Parameters:
        `autoLockReleaseInterval` - the autoLockReleaseInterval to set

    - #### getAutoLockReleaseSameNode

          public java.lang.Boolean getAutoLockReleaseSameNode()

      Returns:
        the autoLockReleaseSameNode

    - #### setAutoLockReleaseSameNode

          public void setAutoLockReleaseSameNode(java.lang.Boolean autoLockReleaseSameNode)

      Parameters:
        `autoLockReleaseSameNode` - the autoLockReleaseSameNode to set

    - #### isDistributedLock

          public boolean isDistributedLock()

      Returns:
        the distributedLock

    - #### getFileSortParam

          public java.lang.String getFileSortParam()

      Returns:
        the fileSortParam

    - #### setFileSortParam

          public void setFileSortParam(java.lang.String fileSortParam)

      Parameters:
        `fileSortParam` - the fileSortParam to set

    - #### isFileSortAscending

          public boolean isFileSortAscending()

      Returns:
        the fileSortAscending

    - #### setFileSortAscending

          public void setFileSortAscending(boolean fileSortAscending)

      Parameters:
        `fileSortAscending` - the fileSortAscending to set

    - #### getDistributedLockTimeout

          public java.lang.Long getDistributedLockTimeout()

      Returns:
        the distributedLockTimeout

    - #### isCanceled

          public boolean isCanceled()

    - #### setCanceled

          public void setCanceled(boolean canceled)

    - #### isClusterAware

          public boolean isClusterAware()

    - #### setClusterAware

          public void setClusterAware(boolean clusterAware)

    - #### isResolveHostsDynamically

          public boolean isResolveHostsDynamically()

    - #### getVfsSchemeProperties

          public java.util.Map<java.lang.String,java.lang.String> getVfsSchemeProperties()

    - #### setVfsSchemeProperties

          public void setVfsSchemeProperties(java.util.Map<java.lang.String,java.lang.String> vfsSchemeProperties)

    - #### getParams

          public org.apache.axis2.description.ParameterInclude getParams()

    - #### isForceCreateFolder

          public boolean isForceCreateFolder()

      Returns:
        the forceCreateFolder

    - #### setForceCreateFolder

          public void setForceCreateFolder(boolean forceCreateFolder)

      Parameters:
        `forceCreateFolder` - the forceCreateFolder to set

    - #### getSubfolderTimestamp

          public java.lang.String getSubfolderTimestamp()

      Returns:
        the subfolderTimestamp

    - #### setSubfolderTimestamp

          public void setSubfolderTimestamp(java.lang.String subfolderTimestamp)

      Parameters:
        `subfolderTimestamp` - the subfolderTimestamp to set

    - #### loadConfiguration

          public boolean loadConfiguration(org.apache.axis2.description.ParameterInclude params)
                                    throws org.apache.axis2.AxisFault

      Overrides:
        `loadConfiguration` in class `org.apache.axis2.transport.base.AbstractPollTableEntry`
      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.